package com.usky.fire.service;

import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.DemFireStatisticsAttach;

import java.util.List;

/**
 * <p>
 * 火灾统计表附表 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-09-13
 */
public interface DemFireStatisticsAttachService extends CrudService<DemFireStatisticsAttach> {

    /**
     * 火灾统计表附表数据查询
     *
     * @param fireNumberList 火灾序号
     * @return
     */
    List<DemFireStatisticsAttach> fireAccidentStatistic(List<String> fireNumberList);

    List<String> fireCauseType();

    Integer fireStatisticsAttachCount(String fireCauseType1);

    List<String> getFireType();
}
